
/*
 * Web Polygraph                        http://www.web-polygraph.org/
 * ------------------------------------------------------------------
 *
 *  Web Polygraph is copyrighted (C) 1998-2000 by The Regents of the
 *  University of California. See the COPYRIGHT file for details.
 */

#ifndef PG_OBJECT_ID_2_URL_H
#define PG_OBJECT_ID_2_URL_H

#include "xstd/h/iosfwd.h"
#include "xstd/NetAddr.h"

class ObjId;
class ContentCfg;

extern ostream &Oid2Url(const ObjId &oid, ostream &os);
extern ostream &Oid2UrlHost(const ObjId &oid, ostream &os);
extern ostream &Oid2UrlPath(const ObjId &oid, ostream &os);

// XXX: move to oidAlgos
NetAddr Oid2UrlHost(const ObjId &oid);
extern int Oid2ContType(const ObjId &oid);
extern bool OidImpliesMarkup(const ObjId &oid, const ContentCfg *cfg = 0);

#endif
