
/*
 * Web Polygraph                        http://www.web-polygraph.org/
 * ------------------------------------------------------------------
 *
 *  Web Polygraph is copyrighted (C) 1998-2000 by The Regents of the
 *  University of California. See the COPYRIGHT file for details.
 */

#include "base/polygraph.h"

#include "base/Histogram.h"
#include "base/TmSzHistStat.h"
#include "loganalyzers/RptmHistFig.h"


void RptmHistFig::setCtrlOptions() {
	TmSzHistFig::setCtrlOptions();
	*theCtrlFile << "set xlabel 'msec'" << endl;
}

const Histogram &RptmHistFig::extractHist(const TmSzHistStat &stats) const {
	return stats.time();
}
