
/*
 * Web Polygraph                        http://www.web-polygraph.org/
 * ------------------------------------------------------------------
 *
 *  Web Polygraph is copyrighted (C) 1998-2000 by The Regents of the
 *  University of California. See the COPYRIGHT file for details.
 */

#ifndef PGL_CACHE_SYMBOL_H
#define PGL_CACHE_SYMBOL_H

#include "pgl/PglRecSym.h"

class BigSize;

// base class for robot and server symbols
class CacheSym: public RecSym {
	public:
		static String TheType;

	public:
		CacheSym();
		CacheSym(const String &aType, PglRec *aRec);

		virtual bool isA(const String &type) const;

		bool icpPort(int &port) const;
		bool capacity(BigSize &cap) const;

	protected:
		virtual SynSym *dupe(const String &dType) const;
};

#endif
