
/*
 * Web Polygraph                        http://www.web-polygraph.org/
 * ------------------------------------------------------------------
 *
 *  Web Polygraph is copyrighted (C) 1998-2000 by The Regents of the
 *  University of California. See the COPYRIGHT file for details.
 */

#include "pgl/pgl.h"

#include "pgl/NetPipeSym.h"
#include "pgl/NetPipeArrIter.h"


NetPipeArrIter::NetPipeArrIter(CfgSyms &aCfgSyms, const Addrs *aLocalAddrs) {
	theCfgs = aCfgSyms;
	start(aLocalAddrs);
}

NetPipeSym *NetPipeArrIter::pipeSym() {
	return &(NetPipeSym&)cfgSym(theCfgIdx)->cast(NetPipeSym::TheType);
}

HostsBasedSym *NetPipeArrIter::cfgSym(int idx) const {
	return theCfgs[idx];
}

int NetPipeArrIter::cfgCount() const {
	return theCfgs.count();
}
