
/*
 * Web Polygraph                        http://www.web-polygraph.org/
 * ------------------------------------------------------------------
 *
 *  Web Polygraph is copyrighted (C) 1998-2000 by The Regents of the
 *  University of California. See the COPYRIGHT file for details.
 */

#ifndef PGL_STATS_SAMPLE_SYMBOL_H
#define PGL_STATS_SAMPLE_SYMBOL_H

#include "xstd/String.h"
#include "pgl/PglRecSym.h"

class StatsSampleCfg;

// describes properties of a single stats sample
class StatsSampleSym: public RecSym {
	public:
		static const String TheType;

	public:
		StatsSampleSym();
		StatsSampleSym(const String &aType, PglRec *aRec);

		virtual bool isA(const String &type) const;

		String name() const;
		Time start() const;
		bool capacity(int &cap) const;

	protected:
		virtual SynSym *dupe(const String &dType) const;
};

#endif
