
/*
 * Web Polygraph                        http://www.web-polygraph.org/
 * ------------------------------------------------------------------
 *
 *  Web Polygraph is copyrighted (C) 1998-2000 by The Regents of the
 *  University of California. See the COPYRIGHT file for details.
 */

#ifndef PG_POLYGRAPH_BROADCAST_CHANNELS_H
#define PG_POLYGRAPH_BROADCAST_CHANNELS_H

#include "xstd/LibInit.h"
#include "runtime/BcastChannel.h"

extern BcastChannel *TheAgentBegChannel;
extern BcastChannel *TheAgentEndChannel;

extern BcastChannel *TheWaitBegChannel;
extern BcastChannel *TheWaitEndChannel;

extern BcastChannel *TheSessionBegChannel;
extern BcastChannel *TheSessionCntChannel;
extern BcastChannel *TheSessionEndChannel;

extern BcastChannel *TheConnOpenChannel;
extern BcastChannel *TheConnCloseChannel;
extern BcastChannel *TheConnEstChannel;
extern BcastChannel *TheConnSslActiveChannel;

extern BcastChannel *TheXactBegChannel;
extern BcastChannel *TheXactEndChannel;
extern BcastChannel *TheXactErrChannel;
extern BcastChannel *TheXactRetrChannel;

extern BcastChannel *TheIcpXactBegChannel;
extern BcastChannel *TheIcpXactEndChannel;
extern BcastChannel *TheIcpXactErrChannel;

extern BcastChannel *TheErrChannel;
extern BcastChannel *TheInfoChannel;

extern BcastChannel *TheLogCfgChannel;
extern BcastChannel *TheLogStateChannel;

extern BcastChannel *ThePhasesEndChannel;

LIB_INITIALIZER(PolyBcastChannelsInit)

#endif
