
/*
 * Web Polygraph                        http://www.web-polygraph.org/
 * ------------------------------------------------------------------
 *
 *  Web Polygraph is copyrighted (C) 1998-2000 by The Regents of the
 *  University of California. See the COPYRIGHT file for details.
 */

#ifndef XSTD_GET_INTERFACE_ADDRESSES_H
#define XSTD_GET_INTERFACE_ADDRESSES_H

#include "xstd/Array.h"
#include "xstd/Socket.h"

class InetIfReq;

// retreives a list of all interface addresses using SIOCGIFCONF
extern bool GetIfAddrs(Array<InetIfReq> &addrs, const String &ifname);

#endif
