
/*
 * Web Polygraph                        http://www.web-polygraph.org/
 * ------------------------------------------------------------------
 *
 *  Web Polygraph is copyrighted (C) 1998-2000 by The Regents of the
 *  University of California. See the COPYRIGHT file for details.
 */

#ifndef PG_RESPONSE_TIME_HISTOGRAM_FIGURE_H
#define PG_RESPONSE_TIME_HISTOGRAM_FIGURE_H

#include "loganalyzers/TmSzHistFig.h"


// creates response time distribution figure based on phase stats
class RptmHistFig: public TmSzHistFig {
	protected:
		virtual void setCtrlOptions();
		virtual const Histogram &extractHist(const TmSzHistStat &stats) const;
};

#endif
