
/*
 * Web Polygraph                        http://www.web-polygraph.org/
 * ------------------------------------------------------------------
 *
 *  Web Polygraph is copyrighted (C) 1998-2000 by The Regents of the
 *  University of California. See the COPYRIGHT file for details.
 */

#ifndef PG_SOCKET_CONFIGURATION_SYMBOL_H
#define PG_SOCKET_CONFIGURATION_SYMBOL_H

#include "pgl/PglRecSym.h"

class Time;

// console configuration
class SocketSym: public RecSym {
	public:
		static String TheType;

	public:
		SocketSym();
		SocketSym(const String &aType, PglRec *aRec);

		virtual bool isA(const String &type) const;

		bool lingerTout(Time &tout) const;
		bool nagle(bool &doNagle) const;

	protected:
		virtual SynSym *dupe(const String &dType) const;
};

#endif
